#!/usr/bin/python
# -*- coding: utf-8 -*-

from optparse import OptionParser

parser = OptionParser(usage="%prog [OPTIONS] QUERY", version="%prog 0.1")
# verbose option
parser.add_option('-v',
            '--verbose',
            action='store_true',
            dest='verbose',
            default=False,
            help='Explain what happens: Enable verbose output (default: False)')
# debugging option
parser.add_option('-d',
            '--debug',
            action='store_true',
            dest='debug',
            default=False,
            help='Enable debugging output (default: False). This will use pickled data whenever possible')
# initialize corpus
parser.add_option('-i',
            '--init',
            action='store_true',
            dest='init',
            default=False,
            help='''Initialize the corpus, compute the data and store it as a pickled object. Default: False.
If debugging is enabled this will use a pickled corpus and pickled pairs if possible. Be careful with this'''
            )
# outfile option
parser.add_option('-o',
            '--outfile',
            action='store',
            type='string',
            dest='outfile',
            default='outfile',
            help='''Write results to OUTFILE_CONTEXT (default: 'outfile_window.txt') which will be overwritten if it exists''')
# context option
parser.add_option('-c',
            '--context',
            action='store',
            type='string',
            dest='context',
            default='window',
            help='''Define the CONTEXT (default: 'window'): The whole sentence: 'sentence', or the query and following token: 'window' '''
            )
# show N words around the query when listing sentences
# TODO don't show SENTENCE_WORDS variable in --help
parser.add_option('-w',
            '--sentence-words',
            action='store',
            type=int,
            dest='sentence_words',
            default=3,
            help='''Display N words around the query when listing sentences (default: 3). This has no effect when listing pairs.''')
# show sentence numbers when listing paris
parser.add_option('-n',
            '--sentence-numbers',
            action='store_true',
            dest='sentence_numbers',
            default=False,
            help='''Switch on showing sentence numbers when displaying pairs (default: False). This has no effect when listing sentences.''')
# show sentence numbers when listing paris
parser.add_option('-l',
            '--limit',
            action='store',
            type='int',
            dest='limit',
            default=0,
            help='''Limit the output to the N first entries''')
## be case-sensitive when searching for QUERY
#parser.add_option('-s',
#            '--sensitive',
#            action='store_true',
#            dest='sensitive',
#            default=False,
#            help='''Be case-sensitive when searching for QUERY. Default: False''')

#def init_options():
#    return parser.parse_args()
(options, args) = parser.parse_args()
